aboutsummaryrefslogtreecommitdiff
path: root/net/im
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2008-03-31 21:34:22 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2008-03-31 21:34:22 +0000
commitcb730989035de8282065d3ea2f00de94a66d3b46 (patch)
treee0d322df78f6dff47b4d7ff156f14c4de6b74771 /net/im
parent80aa61f0e5fb3e914d17b05b559d3706988c42e1 (diff)
downloadslackbuilds-cb730989035de8282065d3ea2f00de94a66d3b46.tar.gz
slackbuilds-cb730989035de8282065d3ea2f00de94a66d3b46.tar.bz2
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1693 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/im')
-rwxr-xr-xnet/im/ekiga/ekiga.SlackBuild211
-rw-r--r--net/im/ekiga/slack-required15
2 files changed, 119 insertions, 107 deletions
diff --git a/net/im/ekiga/ekiga.SlackBuild b/net/im/ekiga/ekiga.SlackBuild
index 60d272af..26fdf2fc 100755
--- a/net/im/ekiga/ekiga.SlackBuild
+++ b/net/im/ekiga/ekiga.SlackBuild
@@ -1,110 +1,126 @@
#!/bin/bash
#
-# ekiga.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# ekiga.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# ekiga.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# ekiga.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# slackbuild script for ekiga
-# by rafael at riseup.net
-#
-# ps: ekiga is hard to compile, some patching is always needed
+# slackbuild for ekiga, by rafael
+# requires: opal gnome-doc-utils libgnome libgnomeui
+# tested: ekiga-2.0.12
#
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building ekiga are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
+# Look for slackbuildrc
if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# default settings
-PACKAGE="ekiga"
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="ekiga"
+PKG_NAME="ekiga"
ARCH=${ARCH:=i486}
-VERSION=${VERSION:=2.0.12}
+SRC_VERSION=${VERSION:=2.0.12}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rd}
-SRC_DIR=${SRC:=$CWD}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j4"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
fi
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://www.ekiga.org/admin/downloads/latest/sources/sources/$SRC"
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://www.ekiga.org/admin/downloads/latest/sources/sources/$SRC"
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# lets regenerate configure, as its broken in 2.0.12 ...
-aclocal
-autoconf
-
-./configure --prefix=/usr --enable-dbus --disable-gnome --sysconfdir=/etc --libdir=$LIBDIR
-
-# one more hack for 2.0.12 ....
-cp /usr/bin/intltool-merge .
-
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="AUTHORS COPYING ChangeLog FAQ INSTALL LICENSE MAINTAINERS NEWS README TODO"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
-mkdir install
-cat << EOF > install/slack-desc
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
@@ -112,30 +128,25 @@ cat << EOF > install/slack-desc
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------------|
-ekiga: ekiga (Ekiga is a VoIP softphone)
+ |-----handy-ruler--------------------------------------------------------|
+ekiga: ekiga by Slack.Sarava
ekiga:
-ekiga: Ekiga (formely known as GnomeMeeting) is an open source VoIP and
-ekiga: video conferencing application for GNOME. Ekiga uses both the H.323
-ekiga: and SIP protocols. It supports many audio and video codecs, and is
-ekiga: interoperable with other SIP compliant software and also with
-ekiga: Microsoft NetMeeting.
-ekiga:
-ekiga:
-ekiga: http://www.ekiga.org/
-ekiga:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO;do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
+ekiga: Ekiga (formely known as GnomeMeeting) is an open source VoIP and video
+ekiga: conferencing application for GNOME. Ekiga uses both the H.323 and SIP
+ekiga: protocols. It supports many audio and video codecs, and is interoperable
+ekiga: with other SIP compliant software and also with Microsoft NetMeeting.
+ekiga:
+ekiga:
+ekiga:
+ekiga:
+ekiga:
+EODESC
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+# Delete source and build directories if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
+ rm -rf "$PKG_WORK" "$PKG"
fi
-
diff --git a/net/im/ekiga/slack-required b/net/im/ekiga/slack-required
index 895ce243..a3bc9b66 100644
--- a/net/im/ekiga/slack-required
+++ b/net/im/ekiga/slack-required
@@ -1,7 +1,8 @@
-openldap-client
-pwlib
-opal
-avahi
-gnome-doc-utils
-intltool
-GConf
+# Dependency list to ekiga
+#
+# dependency [condition] [version]]
+opal
+gnome-doc-utils
+GConf
+libgnome
+libgnomeui